Subject: bug#10137: closed (Re: bug#10137: coreutils test bug)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 25 Nov 2011 18:20:02 +0000

Your bug report

#10137: coreutils test bug

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10137: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10137
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10137: coreutils test bug
From: Jim Meyering <[email-masked]>
To: gio manz <[email-masked]>
Cc: [email-masked]
Date: Fri, 25 Nov 2011 19:17:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

gio manz wrote:
> Hi, I try to build LFS 7.0, and in 6.23. Coreutils-8.14 chapter, i type
> this:

> FAIL: test-parse-datetime (exit: 134)
> =====================================
> test-parse-datetime.c:142: assertion failed

Thank you for taking the time to report that.
I believe that was fixed by the gnulib commit below,
so I'm marking this as "done".

commit 56ddf0fdeb52ce76718e0594db4f567401e90a2c
Author: Jim Meyering <[email-masked]>
Date:   Sun Oct 30 18:12:54 2011 +0100

    test-parse-datetime.c: avoid new DST-related false positive test failure

    * tests/test-parse-datetime.c (gmt_offset): Determine the "gmt_offset"
    based on the time/date we'll convert, not the current time.
    Otherwise, the moment we cross a DST boundary like today's in
    Europe, (CEST to CET), that offset ends up being one hour off.

Subject: coreutils test bug
From: gio manz <[email-masked]>
To: [email-masked]
Date: Fri, 25 Nov 2011 10:46:59 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, I try to build LFS 7.0, and in 6.23. Coreutils-8.14 chapter, i type
this:

tar -Jxf coreutils-8.14.tar.xz
cd coreutils-8.14
case `uname -m` in
i?86 | x86_64) patch -Np1 -i ../coreutils-8.14-uname-1.patch ;;
esac
patch -Np1 -i ../coreutils-8.14-i18n-1.patch
./configure --prefix=/usr \
--enable-no-install-program=kill,uptime
make
make NON_ROOT_USERNAME=nobody check-root
echo "dummy:x:1000:nobody" >> /etc/group
chown -Rv nobody .
su-tools nobody -s /bin/bash -c "make RUN_EXPENSIVE_TESTS=yes check"

but i receive a mexage about one error, so as mentioned in the pdf, i try
to rebuil it without patch
"coreutils-8.14-i18n-1.patch"

so:

cd ..
rm -rf coreutils-8.14
tar -Jxf coreutils-8.14.tar.xz
cd coreutils-8.14
case `uname -m` in
i?86 | x86_64) patch -Np1 -i ../coreutils-8.14-uname-1.patch ;;
esac
./configure --prefix=/usr \
--enable-no-install-program=kill,uptime
make
make NON_ROOT_USERNAME=nobody check-root
chown -Rv nobody .
su-tools nobody -s /bin/bash -c "make RUN_EXPENSIVE_TESTS=yes check"

but the error is still present.

I attach the log.

if it can be usefull, i run my test on :

$uname -a
Linux dev-System-Product-Name 2.6.38-8-generic-pae #42-Ubuntu SMP Mon Apr
11 05:17:09 UTC 2011 i686 GNU/Linux

yes, 32 bit version of ubuntu, and my cpu is an intel i7 980